Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Feb 2017 17:51:36 +0200

> Date: Tue, 28 Feb 2017 10:46:22 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > Unless Martin will be able to resolve the issue "properly",
> 
> I still fail to understand what Jan had in mind when he eliminated the
> gtk_window_move call from xg_set_geometry with PPosition set.  We could
> try to revert that change and see what happens.

If no better idea comes up, I think we should indeed do that.

>  > I guess
>  > the only way of shutting up the warning is to use
>  > g_log_set_writer_func to temporarily set the glib log writer function
>  > to a dummy one that does nothing, then restore the original writer
>  > function.  That's gross, but what else can be done when you deal with
>  > libraries which think they are smarter than you are?..
> 
> IIUC most of what GTK's gometry parsing does is trying to avoid that a
> frame appears offscreen.  So it's not really about being smart.  Emacs
> is asking for it.

Sorry, I'm not following: what is Emacs asking for?